%define name SpiralLoops
%define version 2.0.0

Name:    %{name}
Summary: SpiralLoops is an experimental loop based sampler
Version: %{version}
Release: %mkrel 5

Source:		%name-%{version}.tar.bz2
Source1: 	SpiralLogo48.png
Source2: 	SpiralLogo32.png
Source3: 	SpiralLogo16.png
Patch:		%name-2.0.0.patch
Patch1:         SpiralLoops-2.0.0-fix-build.patch
URL:		http://www.pawfal.org/Software/SpiralLoops
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	fltk-devel

%description
The idea of SpiralLoops is to provide a simple, visual tool for looping and
layering of sounds; which can be sourced from either wav files on disk, or
from sound generating plugins.

SpiralLoops allows you to create loop based compositions with the minimum
feedback time between the decisions you make and your ears.
The looping mechanism is very flexible, you can lock the timing of loops
together, or offset them for creating complex sequences, such as polyrhythms.
Loop triggers can be used to cause interation between the loops, and as an
expermental way of creating music.

Spiral Synth uses the standard OSS/Free sound output (/dev/dsp). This should
work on ALSA too.

%prep
%setup -q
%patch -p1
%patch1 -p1
perl -p -i -e 's/usr\/X11R6\/lib/usr\/X11R6\/%{_lib}/g' Makefile.in

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="%name" longtitle="Synthesized Loops" section="Multimedia/Sound" xdg="true"
EOF


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Synthesized Loops
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;AudioVideo;Audio;Video;X-MandrivaLinux-Multimedia-Video;AudioVideoEditing;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README COPYING CHANGES
%{_bindir}/%name
%{_menudir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Sep 12 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.0-5mdv2007.0
- Use mkrel
- XDG

* Wed Nov 9 2005 Austin Acton <austin@mandriva.org> 2.0.0-4mdk
- lib64 fix

* Thu Jun 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.0-3mdk
- Rebuild

* Fri Apr 2 2004 Austin Acton <austin@mandrake.org> 2.0.0-2mdk
- stale rebuild

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 2.0.0-1mdk
- initial package
- patch from Narfi Stefansson <narfi@cs.wisc.edu>
